Package org.jfree.layouting.layouter.style

## Class CSSValueResolverUtility

- java.lang.Object
- - org.jfree.layouting.layouter.style.CSSValueResolverUtility

-     public class CSSValueResolverUtility
      extends java.lang.Object

  Creation-Date: 15.12.2005, 11:29:22
  Author:
    Thomas Morgner

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static double` | `DEFAULT_X_HEIGHT_FACTOR` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static CSSNumericValue` | `convertLength​(CSSNumericValue value, CSSNumericType type)` |
    `static CSSNumericValue` | `convertLength​(CSSValue rawValue, LayoutContext context, OutputProcessorMetaData metaData)` |
    `static double` | `convertLengthToDouble​(CSSValue rawValue)` |
    `static double` | `convertLengthToDouble​(CSSValue rawValue, LayoutContext context, OutputProcessorMetaData metaData)` | Returns the length in point as a double primitive value.
    `static long` | `convertLengthToLong​(CSSValue rawValue, LayoutContext context, OutputProcessorMetaData metaData)` | Returns the length in point as a double primitive value.
    `static CSSNumericValue` | `getLength​(CSSValue value)` |
    `static CSSNumericValue` | `getLength​(CSSValue value, CSSNumericValue percentageBase)` |
    `static double` | `getNumericValue​(CSSValue value, double defaultValue)` |
    `static boolean` | `isAbsoluteValue​(CSSNumericValue value)` |
    `static boolean` | `isLengthValue​(CSSNumericValue value)` |
    `static boolean` | `isURI​(CSSValue value)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_X_HEIGHT_FACTOR

          public static final double DEFAULT_X_HEIGHT_FACTOR

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### isAbsoluteValue

          public static boolean isAbsoluteValue​(CSSNumericValue value)

    - #### isLengthValue

          public static boolean isLengthValue​(CSSNumericValue value)

    - #### convertLengthToDouble

          public static double convertLengthToDouble​(CSSValue rawValue)

    - #### convertLengthToDouble

          public static double convertLengthToDouble​(CSSValue rawValue,
                                                     LayoutContext context,
                                                     OutputProcessorMetaData metaData)

      Returns the length in point as a double primitive value. Be aware that using double-values is not very accurate.
      Parameters:
        `rawValue` -
        `context` -
        `metaData` -
      Returns:

    - #### convertLengthToLong

          public static long convertLengthToLong​(CSSValue rawValue,
                                                 LayoutContext context,
                                                 OutputProcessorMetaData metaData)

      Returns the length in point as a double primitive value.
      Parameters:
        `rawValue` -
        `context` -
        `metaData` -
      Returns:

    - #### convertLength

          public static CSSNumericValue convertLength​(CSSValue rawValue,
                                                      LayoutContext context,
                                                      OutputProcessorMetaData metaData)

    - #### getLength

          public static CSSNumericValue getLength​(CSSValue value)

    - #### getLength

          public static CSSNumericValue getLength​(CSSValue value,
                                                  CSSNumericValue percentageBase)

    - #### isURI

          public static boolean isURI​(CSSValue value)

    - #### getNumericValue

          public static double getNumericValue​(CSSValue value,
                                               double defaultValue)

    - #### convertLength

          public static CSSNumericValue convertLength​(CSSNumericValue value,
                                                      CSSNumericType type)